EntryOperation (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, interface: EntryOperation

Package org.apache.geode.cache

# Interface EntryOperation<K,V>

public interface EntryOperation<K,V>
Gemfire Context passed to `PartitionResolver` to compute the data location

Since:
  GemFire 6.0
See Also:
  - `PartitionResolver`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getCallbackArgument()`
  Returns the callbackArgument passed to the method that generated this event.
  `K`
  `getKey()`
  Returns the key.
  `V`
  `getNewValue()`
  Deprecated.
  `Operation`
  `getOperation()`
  Deprecated.
  `Region<K,V>`
  `getRegion()`
  Returns the region to which this cached object belongs or the region that raised this event for `RegionEvent`s.
  `boolean`
  `isCallbackArgumentAvailable()`
  Returns `true` if the callback argument is "available".

- ## Method Details

  - ### getRegion

    Region<K,V> getRegion()
    Returns the region to which this cached object belongs or the region that raised this event for `RegionEvent`s.
    Returns:
      the region associated with this object or the region that raised this event.

  - ### getOperation

    @Deprecated Operation getOperation()
    Deprecated.
    Return a description of the operation that triggered this event. It may return null and should not be used to generate routing object in `PartitionResolver.getRoutingObject(EntryOperation)`
    Returns:
      the operation that triggered this event.
    Since:
      GemFire 6.0

  - ### getKey

    K getKey()
    Returns the key.
    Returns:
      the key

  - ### getCallbackArgument

    Object getCallbackArgument()
    Returns the callbackArgument passed to the method that generated this event. Provided primarily in case this object or region has already been destroyed. See the `Region` interface methods that take a callbackArgument parameter. Only fields on the key should be used when creating the routing object.
    Returns:
      the callbackArgument associated with this event. `null` is returned if the callback argument is not propagated to the event. This happens for events given to `TransactionListener` and to `CacheListener` on the remote side of a transaction commit.

  - ### isCallbackArgumentAvailable

    boolean isCallbackArgumentAvailable()
    Returns `true` if the callback argument is "available". Not available means that the callback argument may have existed but it could not be obtained. Note that `getCallbackArgument()` will return `null` when this method returns `false`.
    Returns:
      the callback argument is available
    Since:
      GemFire 6.0

  - ### getNewValue

    @Deprecated V getNewValue()
    Deprecated.
    Returns the value but may return null and should not be used to generate routing object in `PartitionResolver.getRoutingObject(EntryOperation)`. Only fields on the key should be used when creating the routing object.
    Returns:
      the value.